function d(o, r) {
  for (var e = this, h = [e], n, i, t = -1; e = h.pop(); )
    if (o.call(r, e, ++t, this), n = e.children)
      for (i = n.length - 1; i >= 0; --i)
        h.push(n[i]);
  return this;
}
export {
  d as default
};
